using Microsoft.Azure.Cosmos.Table;
using System.ComponentModel.DataAnnotations;
using TEAMModelOS.SDK.Context.Attributes.Azure;

namespace TEAMModelOS.SDK.Models
{
    /// <summary>
    /// 知识点
    /// </summary>
    [TableName(Name = "SyllabusKnowledgePoint")]
    //
    public class KnowledgePoint : TableEntity
    {
        //public string Id { get; set; }
        public string PointId { get; set; }
        /// <summary>
        /// 原始名称
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Name { get; set; }
        /// <summary>
        /// 别名
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Alias { get; set; }
        /// <summary>
        /// 知识块ID
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string BlockId { get; set; }
        /// <summary>
        /// 建议学段
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string AdvicePeriodCode { get; set; }
        [Required(ErrorMessage = "{0} 必须填写")]
        public int Order { get; set; }
        /// <summary>
        /// 学科
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string SubjectCode { get; set; }
    }
}
